### Method

# Gimp Vectors get_strokes

#### Declaration [src]

    gint*
    gimp_vectors_get_strokes (
      GimpVectors* vectors,
      gint* num_strokes
    )

#### Description [src]

List the strokes associated with the passed path.

Returns an Array with the stroke-IDs associated with the passed path.

Available since: | 2.4

#### Parameters

`num_strokes` | `gint*`
| The number of strokes returned.
| The argument will be set by the function.

#### Return value

Returns: | An array of `gint32`

         List of the strokes belonging to the path.
         The returned value must be freed with g_free().

| The length of the array is in the `num_strokes` argument.
| The caller of the method takes ownership of the data, and is responsible for freeing it.